<mat-dialog-content>
<div class="content">
  <div fxLayout="row wrap" fxLayoutAlign="center center" fxLayoutGap="16px grid">
    <div fxFlex="32" fxFlex.sm="75" fxFlex.xs="100">
      <form *ngIf="editProductForm" [formGroup]="editProductForm" (ngSubmit)="editProductFormSubmit()" enctype="multipart/form-data">
        <mat-card class="mat-elevation-z5">
          <mat-card-header fxLayoutAlign="center">
            <mat-card-title>Edit product</mat-card-title>
            <button type="button" mat-icon-button color="warn" (click)="clearImg()"><mat-icon>image_not_supported</mat-icon></button>
          </mat-card-header>
          <mat-form-field color="accent" class="full-width">
            <input matInput placeholder="Product name" formControlName="name">
            <!--            <mat-error>{{}}</mat-error>-->
          </mat-form-field>
          <mat-form-field color="accent" class="full-width">
            <mat-select placeholder="Category" formControlName="CategoryId">
              <mat-optgroup *ngFor="let group of groupService.groups | async" [label]="group.name">
                <mat-option *ngFor="let category of group.Categories" [value]="category.id">{{category.name}}</mat-option>
              </mat-optgroup>
            </mat-select>
          </mat-form-field>
      <!--    <img [src]="imgUrl"  class="full-width" style="width: 200px;height: 100px"><br>-->
          <img [src]="imgUrl" class="full-width">
          <input type="file" accept="image/jpeg,image/png,image/gif" (change)="chooseImg($event)">
          <mat-card-content>
            <mat-form-field color="accent" class="full-width">
              <input matInput placeholder="Product price" formControlName="price">
            </mat-form-field>
            <mat-form-field color="accent" class="full-width">
              <input matInput placeholder="Discount %" formControlName="discount">
            </mat-form-field>
            <mat-form-field color="accent" appearance="outline" class="full-width">
              <mat-label>Details</mat-label>
              <textarea  name="content" matInput cdkTextareaAutosize formControlName="description"></textarea>
            </mat-form-field>
          </mat-card-content>
          <mat-card-actions>
            <button class="full-width" mat-raised-button color="primary">Save Changes</button>
          </mat-card-actions>
        </mat-card>
      </form>
    </div>
  </div>
</div>
</mat-dialog-content>
